Debian Bug report logs - #430986
when reporting bugs by maintainer, please include Uploaders

Package: bugs.debian.org; Maintainer for bugs.debian.org is Debian Bug Tracking Team <owner@bugs.debian.org>;

Reported by: Stefano Zacchiroli <zack@debian.org>

Date: Thu, 28 Jun 2007 17:48:01 UTC

Severity: wishlist

Merged with 225757, 310720

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#430986; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: when reporting bugs by maintainer, please include Uploaders
Date: Thu, 28 Jun 2007 19:42:36 +0200
Package: bugs.debian.org
Severity: wishlist

Browsing bugs by maintainer (and with this I mean something like
http://bugs.debian.org/cgi-bin/pkgreport.cgi?maint=zack@debian.org, or
it shorter form http://bugs.debian.org/zack@debian.org) used to be
terribly useful as a TODO list. Using that I used to have a simple entry
point for knowing what I have to do "for Debian" regarding my packages.

This usefulness has diminished a lot with the spreading of team
maintenance. To know all bugs that apply to me indeed I know have to
repeat browse by maintainer for each team I'm a member of.

It would be terribly useful to include bugs which apply to packages in
which I'm mentioned as an Uploader in the report by maintainer pages.
That can be driven by an optional parameter, but I think it should be
opt-out (i.e. the default should be to show bugs of packages where I'm
the Uploader).

What do you think about this?  Would it be easy to implement?

Similar stuff has been implemented in the dd-list utility (from the
devscripts package) recently, and I think that proves that considering
the individual maintainers as individuals also when they are part of a
team is a need in various parts of our infrastructure.

TIA for considering this,
Cheers.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-1-686 (SMP w/1 CPU core)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#430986; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #10 received at 430986@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Stefano Zacchiroli <zack@debian.org>, 430986@bugs.debian.org
Cc: Anthony Towns <aj@azure.humbug.org.au>
Subject: Re: Bug#430986: when reporting bugs by maintainer, please include Uploaders
Date: Thu, 28 Jun 2007 11:43:52 -0700
On Thu, 28 Jun 2007, Stefano Zacchiroli wrote:
> It would be terribly useful to include bugs which apply to packages
> in which I'm mentioned as an Uploader in the report by maintainer
> pages. That can be driven by an optional parameter, but I think it
> should be opt-out (i.e. the default should be to show bugs of
> packages where I'm the Uploader).
> 
> What do you think about this?  Would it be easy to implement?

We'd need to have the Uploaders exported from dak; I don't know if
this is easy to do now.
 
AJ: Do you know if this can be done [or who I should ask?]


Don Armstrong

-- 
Americans can always be counted on to do the right thing, after they
have exhausted all other possibilities.
 -œ??? W. Churchill

http://www.donarmstrong.com              http://rzlab.ucr.edu



Merged 225757 310720 430986. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 03 Jul 2007 21:00:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#430986; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #17 received at 430986@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 430986@bugs.debian.org, Anthony Towns <aj@azure.humbug.org.au>
Subject: Re: Bug#430986: when reporting bugs by maintainer, please include Uploaders
Date: Sun, 19 Aug 2007 11:30:44 +0200
[Message part 1 (text/plain, inline)]
On Thu, Jun 28, 2007 at 11:43:52AM -0700, Don Armstrong wrote:
> On Thu, 28 Jun 2007, Stefano Zacchiroli wrote:
> > It would be terribly useful to include bugs which apply to packages
> > in which I'm mentioned as an Uploader in the report by maintainer
> > pages.
> 
> We'd need to have the Uploaders exported from dak; I don't know if
> this is easy to do now.
>  
> AJ: Do you know if this can be done [or who I should ask?]

Any news about this?

-- 
Stefano Zacchiroli -*- PhD in Computer Science ............... now what?
zack@{cs.unibo.it,debian.org,bononia.it} -%- http://www.bononia.it/zack/
(15:56:48)  Zack: e la demo dema ?    /\    All one has to do is hit the
(15:57:15)  Bac: no, la demo scema    \/    right keys at the right time
[signature.asc (application/pgp-signature, inline)]

Disconnected #430986 from all other report(s). Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Tue, 29 Apr 2008 00:06:03 GMT) Full text and rfc822 format available.

Bug 430986 cloned as bug 478402. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Tue, 29 Apr 2008 00:06:05 GMT) Full text and rfc822 format available.

Merged 225757 310720 430986. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Tue, 29 Apr 2008 00:06:08 GMT) Full text and rfc822 format available.

Blocking bugs of 430986 added: 478402 Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Tue, 29 Apr 2008 00:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#430986; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. Full text and rfc822 format available.

Message #30 received at 430986@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Don Armstrong <don@donarmstrong.com>, Joerg Jaspert <joerg@debian.org>
Cc: 430986@bugs.debian.org
Subject: index mapping source packages to uploaders now available
Date: Wed, 17 Sep 2008 23:39:22 +0200
[Message part 1 (text/plain, inline)]
> It would be terribly useful to include bugs which apply to packages in
> which I'm mentioned as an Uploader in the report by maintainer pages.
> That can be driven by an optional parameter, but I think it should be
> opt-out (i.e. the default should be to show bugs of packages where I'm
> the Uploader).

[ For the bug log update: at DebConf8 me, Don, and Joerg discussed the
  issue. To fix this, the BTS needs an index mapping package names to
  Uploaders list. This is going to be provided directly by dak, as soon
  as the new database schema is in place. In the meantime I'll be
  generating that index out of UDD. ]

Hi Don,
  the index mapping package names to Uploaders is now available at
http://master.debian.org/~zack/bts/uploaders.txt , it is generated
querying UDD (Ultimate Debian Database) every 8 hours.

Currently the format is:

  SOURCE_PACKAGE <TAB> UPLOADERS

(with no spaces around <TAB>).

The Uploaders field is *not* escaped in anyway, and it is exactly what
comes from the Sources file. A quick check for the comma problem (i.e.,
to know where to split uploader names) show that entries like "Adam
Powell, IV <email>" appear as double-quoted already in the Sources file
(see for example "apt-cache showsrc libmesh"), so I guess it is enough
to parse properly the field.

Is this format OK? Would you prefer binary package names, or maybe the
two indexes? In that case let me know (and maybe mark this bug as
pending).

Cheers.

-- 
Stefano Zacchiroli -*- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
I'm still an SGML person,this newfangled /\ All one has to do is hit the
XML stuff is so ... simplistic  -- Manoj \/ right keys at the right time
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#430986; Package bugs.debian.org. (Sat, 23 Jan 2010 11:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. (Sat, 23 Jan 2010 11:30:02 GMT) Full text and rfc822 format available.

Message #35 received at 430986@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 430986@bugs.debian.org
Cc: Don Armstrong <don@debian.org>
Subject: Re: block 430986 with 478402
Date: Sat, 23 Jan 2010 12:28:41 +0100
On Mon, Apr 28, 2008 at 05:07:12PM -0700, Don Armstrong wrote:
> # Automatically generated email from bts, devscripts version 2.10.23
> block 430986 with 478402

#478402 (the unavailability of an Uploaders index in the archive
management tools) has just been closed by Ganneff.

That means that now, in theory, all ingredients for having per-Uploader
bug summary pages in the BTS are there. Great! :-)

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:23:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.